import java.util.*;

public class Sample {
  public static int scoreFor(int pip) {
    return switch(pip) {
      case 1 -> 100;
      case 2 -> 2;
      case 3, 4 -> 3;
      case 5 -> 5;
      case 6 -> 50;
      default -> 0;
    };
  }

  public static void main(String[] args) {
    var result = List.of(3, 4, 3, 2, 6).stream()
      .mapToInt(Sample::scoreFor)
      .sum();


    System.out.println(result);
  }
}

