import java.util.*;
import java.math.*;

public class Sample {
  public static String gradeForScore(int score) {
    String grade = "";

    switch(Math.min(score / 10, 10)) {
      case 9:
        grade = "A";
	break;
      case 8:
        grade = "B";
	break;
      case 7:
        grade = "C";
	break;
      case 6:
        grade = "D";
	break;
      default:
        grade = "F";
    }

    return "Grade for score %d is %s".formatted(score, grade);
  }

  public static void main(String[] args) {
    List.of(59, 65, 78, 83, 89, 93).stream()
      .map(Sample::gradeForScore)
      .forEach(System.out::println);
  }
}

//concise, but
//error prone
//a statement that mutates variables
